// TransmitMsgDlg.h : header file
//

#if !defined(AFX_TRANSMITMSGDLG_H__65B5179A_0BF4_44B2_A977_7A920B36F937__INCLUDED_)
#define AFX_TRANSMITMSGDLG_H__65B5179A_0BF4_44B2_A977_7A920B36F937__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTransmitMsgDlg dialog

class CTransmitMsgDlg : public CDialog
{
// Construction
public:
	CTransmitMsgDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTransmitMsgDlg)
	enum { IDD = IDD_TRANSMITMSG_DIALOG };
	CButton	m_rtr;
	CEdit	m_id;
	CButton	m_mode;
	CEdit	m_d7;
	CEdit	m_d6;
	CEdit	m_d5;
	CEdit	m_d4;
	CEdit	m_d3;
	CEdit	m_d2;
	CEdit	m_d1;
	CEdit	m_d0;
	CComboBox	m_dlen;
	CComboBox	m_boardno;
	CComboBox	m_baud;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransmitMsgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTransmitMsgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeDlenCombo();
	afx_msg void OnActiveButton();
	virtual void OnCancel();
	afx_msg void OnSendButton();
	afx_msg void OnRtrCheck();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSMITMSGDLG_H__65B5179A_0BF4_44B2_A977_7A920B36F937__INCLUDED_)
